package speiger.src.coreengine.platform.graphics.api.shader;

import java.util.Objects;

import speiger.src.coreengine.platform.graphics.api.shader.states.DrawMode;
import speiger.src.coreengine.platform.graphics.api.shader.states.PolygonMode;

public record RasterizerState(DrawMode mode, PolygonMode fillMode, boolean cullBack) {
	public static final RasterizerState DEFAULT = new RasterizerState(DrawMode.TRIANGLES, PolygonMode.FILL, true);
	public RasterizerState {
		Objects.requireNonNull(mode);
		Objects.requireNonNull(fillMode);
	}
}
